# Created by pyp2rpm-3.3.0
%global pypi_name suricata-update

Name:           python-%{pypi_name}
Version:        1.0.0b1
Release:        2%{?dist}
Summary:        Suricata Update Tool

License:        GPLv2
URL:            https://github.com/OISF/suricata-update
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools


%description
Suricata Update Tool
 
#BuildRequires:  python3-devel
#BuildRequires:  python3dist(setuptools)

#%description


%package -n     %{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2-pyyaml

%description -n %{pypi_name}
Suricata Update Tool

#%package -n     python3-%{pypi_name}
#Summary:        %{summary}
#%{?python_provide:%python_provide python3-%{pypi_name}}
#
#%description -n python3-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
#%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
#rm -rf %{buildroot}%{_bindir}/*
#%py3_install

%files -n %{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/suricata-update
%{python2_sitelib}/suricata
%{python2_sitelib}/suricata_update-%{version}-py?.?.egg-info

#%files -n python3-%{pypi_name}
#%license LICENSE
#%doc README.rst
#%{_bindir}/suricata-update
#%{python3_sitelib}/suricata
#%{python3_sitelib}/suricata_update-%{version}-py?.?.egg-info

%changelog
* Fri May 18 2018 Derek Ditch <derek@rocknsm.io> - 1.0.0b1-2
- Added PyYaml dependency
- Renamed to just `suricata-update`

* Wed May 16 2018 Derek Ditch <derek@rocknsm.io> - 1.0.0b1-1
- Initial package.
